FIX::UtcTimeOnly Class Reference
User

Time only represented in UTC. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::UtcTimeOnly:
[legend]
Collaboration diagram for FIX::UtcTimeOnly:
[legend]

## Public Member Functions

| UtcTimeOnly ()
| Defaults to the current time. More...
| UtcTimeOnly (const DateTime &val)
| UtcTimeOnly (int hour, int minute, int second, int millisecond=0)
| UtcTimeOnly (time_t time, int millisecond=0)
| UtcTimeOnly (const tm *time, int millisecond=0)
void | setCurrent ()
| Set to the current time. More...
Public Member Functions inherited from FIX::DateTime
| DateTime ()
| Default constructor - initializes to zero. More...
| DateTime (int date, int time)
| Construct from a Julian day number and time in millis. More...
| DateTime (int year, int month, int day, int hour, int minute, int second, int millis)
| Construct from the specified components. More...
virtual | ~DateTime ()
int | getYear () const
| Return the year portion of the date. More...
int | getMonth () const
| Return the month (1-12) portion of the date. More...
int | getDay () const
| Return the day of the month portion of the date. More...
int | getDate () const
| Another name for the day of the month. More...
int | getJulianDate () const
| Return the internal julian date. More...
int | getHour () const
| Return the hour portion of the time (0-23) More...
int | getMinute () const
| Return the minute portion of the time (0-59) More...
int | getSecond () const
| Return the second portion of the time (0-59) More...
int | getMillisecond () const
| Return the millisecond portion of the time. More...
void | getYMD (int &year, int &month, int &day) const
| Load the referenced values with the year, month and day portions of the date in a single operation. More...
void | getHMS (int &hour, int &minute, int &second, int &millis) const
| Load the referenced values with the hour, minute, second and millisecond portions of the time in a single operation. More...
int | getWeekDay () const
| Calculate the weekday of the date (Sunday is 1, Saturday is 7) More...
time_t | getTimeT () const
| Convert the DateTime to a time_t. More...
tm | getTmUtc () const
| Convert the DateTime to a struct tm which is in UTC. More...
void | setYMD (int year, int month, int day)
| Set the date portion of the DateTime. More...
void | setHMS (int hour, int minute, int second, int millis)
| Set the time portion of the DateTime. More...
void | setHour (int hour)
| Set the hour portion of the time. More...
void | setMinute (int min)
| Set the minute portion of the time. More...
void | setSecond (int sec)
| Set the seconds portion of the time. More...
void | setMillisecond (int millis)
| Set the millisecond portion of the time. More...
void | clearDate ()
| Clear the date portion of the DateTime. More...
void | clearTime ()
| Clear the time portion of the DateTime. More...
void | set (int date, int time)
| Set the internal date and time members. More...
void | set (const DateTime &other)
| Initialize from another DateTime. More...
void | operator+= (int seconds)
| Add a number of seconds to this. More...

## Additional Inherited Members

Public Types inherited from FIX::DateTime
enum | { SECONDS_PER_DAY = 86400, SECONDS_PER_HOUR = 3600, SECONDS_PER_MIN = 60, MINUTES_PER_HOUR = 60, MILLIS_PER_DAY = 86400000, MILLIS_PER_HOUR = 3600000, MILLIS_PER_MIN = 60000, MILLIS_PER_SEC = 1000, JULIAN_19700101 = 2440588 }
| Magic numbers. More...
Static Public Member Functions inherited from FIX::DateTime
static int | makeHMS (int hour, int minute, int second, int millis)
| Helper method to convert a broken down time to a number of milliseconds since midnight. More...
static DateTime | nowUtc ()
| Return the current wall-clock time as a utc DateTime. More...
static DateTime | nowLocal ()
| Return the current wall-clock time as a local DateTime. More...
static DateTime | fromUtcTimeT (time_t t, int millis=0)
| Convert a time_t and optional milliseconds to a DateTime. More...
static DateTime | fromLocalTimeT (time_t t, int millis=0)
static DateTime | fromTm (const tm &tm, int millis=0)
| Convert a tm and optional milliseconds to a DateTime. More...
static int | julianDate (int year, int month, int day)
| Helper method to calculate a Julian day number. More...
static void | getYMD (int jday, int &year, int &month, int &day)
| Convert a Julian day number to a year, month and day. More...
Public Attributes inherited from FIX::DateTime
int | m_date
int | m_time

## Detailed Description

Time only represented in UTC.

Definition at line 469 of file FieldTypes.h.

## Constructor & Destructor Documentation

## UtcTimeOnly() [1/5]

FIX::UtcTimeOnly::UtcTimeOnly | ( |  | ) |

inline

Defaults to the current time.

Definition at line 473 of file FieldTypes.h.

{
setCurrent();
}
FIX::UtcTimeOnly::setCurrent
void setCurrent()
Set to the current time.
Definition: FieldTypes.h:502

## UtcTimeOnly() [2/5]

FIX::UtcTimeOnly::UtcTimeOnly | ( | const DateTime & | val | ) |

inline

Definition at line 478 of file FieldTypes.h.

References FIX::DateTime::clearDate().

: DateTime(val)
{
clearDate();
}
FIX::DateTime::clearDate
void clearDate()
Clear the date portion of the DateTime.
Definition: FieldTypes.h:249
FIX::DateTime::DateTime
DateTime()
Default constructor - initializes to zero.
Definition: FieldTypes.h:73

## UtcTimeOnly() [3/5]

FIX::UtcTimeOnly::UtcTimeOnly | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond = `0`
| ) |  |

inline

Definition at line 484 of file FieldTypes.h.

References FIX::DateTime::setHMS().

{
setHMS( hour, minute, second, millisecond );
}
FIX::DateTime::setHMS
void setHMS(int hour, int minute, int second, int millis)
Set the time portion of the DateTime.
Definition: FieldTypes.h:211

## UtcTimeOnly() [4/5]

FIX::UtcTimeOnly::UtcTimeOnly | ( | time_t | time,
|  | int | millisecond = `0`
| ) |  |

inline explicit

Definition at line 489 of file FieldTypes.h.

References FIX::DateTime::clearDate().

: DateTime( fromUtcTimeT (time, millisecond) )
{
clearDate();
}
FIX::DateTime::fromUtcTimeT
static DateTime fromUtcTimeT(time_t t, int millis=0)
Convert a time_t and optional milliseconds to a DateTime.
Definition: FieldTypes.h:307
FIX::DateTime::clearDate
void clearDate()
Clear the date portion of the DateTime.
Definition: FieldTypes.h:249
FIX::DateTime::DateTime
DateTime()
Default constructor - initializes to zero.
Definition: FieldTypes.h:73

## UtcTimeOnly() [5/5]

FIX::UtcTimeOnly::UtcTimeOnly | ( | const tm * | time,
|  | int | millisecond = `0`
| ) |  |

inline

Definition at line 495 of file FieldTypes.h.

References FIX::DateTime::clearDate().

: DateTime( fromTm (*time, millisecond) )
{
clearDate();
}
FIX::DateTime::clearDate
void clearDate()
Clear the date portion of the DateTime.
Definition: FieldTypes.h:249
FIX::DateTime::DateTime
DateTime()
Default constructor - initializes to zero.
Definition: FieldTypes.h:73
FIX::DateTime::fromTm
static DateTime fromTm(const tm &tm, int millis=0)
Convert a tm and optional milliseconds to a DateTime.
Definition: FieldTypes.h:321

## Member Function Documentation

## setCurrent()

void FIX::UtcTimeOnly::setCurrent | ( |  | ) |

inline

Set to the current time.

Definition at line 502 of file FieldTypes.h.

References FIX::DateTime::m_time, and FIX::DateTime::nowUtc().

{
DateTime d = nowUtc();
m_time = d.m_time;
}
FIX::DateTime::DateTime
DateTime()
Default constructor - initializes to zero.
Definition: FieldTypes.h:73
FIX::DateTime::nowUtc
static DateTime nowUtc()
Return the current wall-clock time as a utc DateTime.
Definition: FieldTypes.cpp:34
FIX::DateTime::m_time
int m_time
Definition: FieldTypes.h:53

The documentation for this class was generated from the following file:

- FieldTypes.h